/**
 *Salid de la aplicacion
 * @author nsanz
 */
import java.awt.Component;
import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;


/**
 * Para terminar la aplicaci�n.
 * @author nsanz
 *
  */
public class AccionSalir extends AbstractAction
{
    /**
     * serial uid
     */
    private static final long serialVersionUID = -3421118973626026775L;

    /** 
     * Componente padre del dialogo de confirmacion usa para salir. 
     */
    private Component padre;

    /**
     * Crea un nuevo objeto AccionSalir.
     *
     * @param padre Un padre para el di�logo.
     */
    public AccionSalir(Component padre)
    {
        this.padre = padre;
        putValue(Action.NAME, "Salir");
    }

    /**
     * Muestra una ventana de confirmacion y si se acepta, se hace un System.exit().
     *
     * @param e El evento.
     */
    public void actionPerformed(ActionEvent e)
    {
        int opcion = JOptionPane.showConfirmDialog(
                padre, "Seguro que desea salir?");

        if (opcion == JOptionPane.YES_OPTION)
        {
            System.exit(0);
        }
    }
}
