/**
 *Listener que se encarga de detectar cuando alguien escribe.
 * @author nsanz
 */
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import javax.swing.text.JTextComponent;

class AreaTextoListenner implements KeyListener {
/**
 * Objeto de la conexion
 */
    private AbstractConexion conexionTCP;
    /**
     * Componente que tiene el cuadro de texto
     */
    private JTextComponent componenteTexto;
/**
 * constructor del Listener
 * @param conexionTCP Objeto de la clase Conexion.
 * @param componenteTexto Componente correspondiente al cuadro de texto de edicion.
 */    
    public AreaTextoListenner(AbstractConexion conexionTCP,JTextComponent componenteTexto)  {
        this.conexionTCP = conexionTCP; 
        this.componenteTexto=componenteTexto;
    } 
    /**
     * Implementacion del Listener de la accion de tipear un caracter.
     * @param e Evento.
     */
    public void keyTyped(KeyEvent e) {
        conexionTCP.enviarCaracteresEditados(e.getKeyChar(), componenteTexto.getCaretPosition(),false); 
    }

    public void keyPressed(KeyEvent e) {
        //throw new UnsupportedOperationException("Not supported yet.");
    }

    public void keyReleased(KeyEvent e) {
        //throw new UnsupportedOperationException("Not supported yet.");
    }
}
